﻿@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: local('Open Sans'), local('OpenSans'), url(OpenSans.woff) format('woff');
}
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 600;
  src: local('Open Sans Semibold'), local('OpenSans-Semibold'), url(OpenSansSemiBold.woff) format('woff');
}

/* Shared Styles
  ------------------------------------------------ */
html
{
    height: 100%;
}

body {
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif;
    font-size: 13px;
    color: #333333;
    height: 100%;
}

.status-bg {
    height: constant(safe-area-inset-top);
    height: env(safe-area-inset-top);
    background-color: #00B0D8;
}

/* From: http://css-tricks.com/snippets/css/sticky-footer/ */
.content {
    min-height: 100%;
    /* equal to footer height */
    margin-bottom: -38px;
    background-color: #ffffff;
}

.content:after 
{
  content: "";
  display: block;
}

a
{
    color: #00B0D8;
    font-weight: bold;
    text-decoration: none;
}

p
{
    margin: 0 0 10px 0;
}

H1 span,
H2 span
{
    display: none;
}

.buttonarea
{
    text-align: center;
}

.button,
button
{
    background: #00B0D8;
    box-shadow: none;
    -moz-box-shadow: none;
    color: white;
    border: none;
    padding: 8px 24px;
    width: auto;
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    font-weight: bold;
}

/* Remove dotted outline on button click in firefox */
button::-moz-focus-inner 
{
  border: 0;
}

input
{
    border: 1px solid #d8d8d8;
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    font-weight: bold;
    color: #333333;
    padding: 8px;
    width: 261px;
    -webkit-appearance: none; /* Disable default Safari styling */
}

label
{
    display: block;
    margin-bottom: 3px;
    font-weight: bold;
    font-size: 14px;
    color: #666666;
}

.validation-summary-errors
{
    border: 1px solid #e49595;
    border-radius: 0px;
    background: #ffd3d4; /* for non-css3 browsers */
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffd3d4', endColorstr='#f7cdce')"; /* for IE */
    background: -webkit-gradient(linear, left top, left bottom, from(#ffd3d4), to(#f7cdce)); /* for webkit browsers */
    background: -moz-linear-gradient(top, #ffd3d4,  #ffd3d4); /* for firefox 3.6+ */
    color: #cc3333;
    padding: 10px;
    font-weight: bold;
    margin-bottom: 10px;
    border-radius: 3px;
}

.validation-summary-errors ul
{
    margin: 0;
}

.input-validation-error
{
    border: 1px solid #e49595;
    background: #ffd3d4;
}

.field-validation-error
{
    color: #cc3333;
    font-weight: bold;
    display: block;
    padding-top: 3px;
}

.footer .liner
{    
    border-top: 1px solid #E6E6E6;
    background: #F8F8F8;
    color: #666666;
    font-size: 12px;
    text-align: center;
    padding: 10px;
}

.footer .privacy,
.footer .terms
{
    display: inline-block;
    margin-left: 5px;
}

.contentpanel
{
    width: 100%;
    max-width: 600px;
    margin: auto;
}

.contentpanel .liner 
{
    padding: 0 20px 20px 20px;
}

/* Header Styles
  ------------------------------------------------ */
.header {
    background: #00B0D8;
    padding: 20px;
    text-align: center;
}

.header h1
{
    background-image: url(/app/content/assets/foodstorm-logo.png);
    background-repeat: no-repeat;
    background-size: 150px;
    width: 150px;
    height: 24px;
    margin: 0;
    display: inline-block;
}

h2.pageheading {
    background: none;
    margin: 0;
    padding: 10px;
    color: #00B0D8;
    text-align: center;
    font-size: 30px;
    font-weight: normal;
    margin-bottom: 0;
}

/*h2.pageheading::after 
{
    content: '';
    width: 75px;
    height: 2px;
    background: #00B0D8;
    display: block;
    margin: auto;
    margin-top: 5px;
}*/

/* Sign In Panel Styles
  ------------------------------------------------ */
.logo 
{
    display: none;
    text-align: center;
}

.signinpanel
{
    width: 100%;
    max-width: 400px;
    margin: auto;
}

.signinpanel .liner
{
    background: none;
    border: none;    
    margin: 0;
    padding: 0;
}

.signinpanel input,
.signinpanel button
{
    width: 100%;
    height: 40px;
    border-radius: 3px;
    box-sizing: border-box;   
    -moz-box-sizing: border-box;    
    -ms-box-sizing: border-box;    
    -webkit-box-sizing: border-box;    
    -khtml-box-sizing: border-box;
}

.signinpanel input[type='checkbox'] {
    -webkit-appearance: checkbox;
    width: auto;
    height: auto;
}

.signinpanel .checkbox-label {
    display: inline-block;
}

.signinpanel .hidden
{
    display: none;
}

.signinpanel .signingin img
{
    width: 20px;
    height: 20px;
    vertical-align: middle;
    margin-right: 5px;
}

.signinpanel .signingin span
{
    vertical-align: middle;
}

.signinpanel .needhelp
{
    margin: 10px 0 0 0;
    text-align: center;
}

.createaccount
{
    text-align: center;
}

.signinpanel.twofactorauth label 
{
    margin-bottom: 10px;
}

.contentpanel .buttonarea button
{
    width: auto
}

.signin-wrap 
{
    display: flex;
    height: 100vh;
}

.signin-wrap .signin-panel 
{
    width: 50%;
}

.signin-wrap .signin-panel.signin-left 
{
    background-color: #00B0D8;
    /*background-image: url(cloud-bg.png);*/
    background-repeat: no-repeat;
    background-position: 50% 140%;
    background-size: 120%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow:hidden;
}

.signin-wrap .signin-panel.signin-right 
{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.signin-wrap .signin-logo 
{
    position: absolute;
    top: 20px;
    left: 20px;
}

.signin-wrap .signin-panel.signin-left .cloud-background
{
    position: absolute;
    bottom: -100px;
    display: flex;
    width: 100%;
    left: 0;
}

.signin-wrap .signin-panel.signin-left .cloud-background img 
{
    width: 120%;
    min-width: 700px;
    margin: auto -10%;
    height: auto;
}

.signin-wrap .signin-left .sign-intro
{
    width: 80%;
}

.signin-wrap .signin-left .sign-intro h1
{
    color: #fff;
    font-size: 40px;
    margin-bottom: 0;
    line-height: 1;
}

.signin-wrap .signin-left .sign-intro p 
{
    color: #fff;
    font-size: 18px;
}

.signin-wrap .signin-logo img
{
    max-width: 200px;
}

/* OAuth Authorise Styles
  ------------------------------------------------ */
.authorise-wrap {
    display: flex;
    height: 100vh;
    justify-content: center;
}

.authorise {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    padding: 40px;
}

.authorise .app-icons {
    display: flex;
    align-items: center;
    justify-content: center;
}

.authorise .app-icon {
    height: 50px;
    width: auto;
    border: solid 1px #ddd;
    border-radius: 10px;
    padding: 5px;
}

.authorise .connect-icon {
    max-height: 30px;
    margin: 0 20px;
}

.authorise .cancel-link {
    margin-top: 10px;
}

@media (max-width: 1140px) {
    .signin-wrap .signin-left .sign-intro h1 {
        font-size: 30px;
    }
}

@media only screen and (max-width: 768px)
{
    .header
    {
        display: none;
    }

    .content h2.pageheading
    {
        font-size: 20px;
        margin: 0;
        padding: 10px;
        color: #fff;
        text-align: center;
        font-weight: normal;
        background: #00B0D8;
        margin-bottom: 20px;
    }

    .logo
    {
        display: block;
    }

    .content .signin-wrap .signin-panel 
    {
        width: 100%;
    }

    .content .signin-wrap .signin-panel.signin-left
    {
        display: none;
    }

    .content .signin-wrap .signin-panel.signin-right
    {
        justify-content: flex-start;
    }

    .content .signin-wrap .signin-panel.signin-right form
    {
        padding: 1rem;
    }
}
